FROM registry.gitlab.com/openstapps/openstapps/app

ENV LC_ALL=en_US.UTF-8 \
    LANG=en_US.UTF-8

ENV TZ=Europe/Berlin
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone

RUN apt-get update && \
    apt-get install -y --no-install-recommends \
    xmlstarlet \
    ruby-full \
    zip \
    openssh-client

RUN gem install bundler

COPY . /build
WORKDIR /build

RUN bundler update
